package roseindia;

import java.io.File;
import org.jdom.Attribute;
import org.jdom.DataConversionException;
import org.jdom.Document;
import org.jdom.Element;
import org.jdom.input.DOMBuilder;

public class AttrDiffTypeValue {
	static String data = "student.xml";
	static File file = new File(data);
	static DOMBuilder builder = new DOMBuilder();

	public static void main(String[] args) {
		try {
			Document doc = builder.build(file);
			Element rootEl = doc.getRootElement();
			Element attElement = rootEl.setAttribute("id", "5677");
			Attribute attribute = attElement.getAttribute("id");
			String str = attribute.getValue();
			System.out.println("Actual value of attribute : " + str);
			int intValue = attribute.getIntValue();
			System.out.println("Int value of attribute : " + intValue);
			double doubValue = attribute.getDoubleValue();
			System.out.println("Double value of attribute : " + doubValue);
			boolean bool = attribute.getBooleanValue();
			System.out.println("Int value of attribute : " + bool);
		} catch (DataConversionException dex) {
			System.out.println(dex);
		} catch (Exception ex) {
			System.out.println("Execption " + ex);
		}
	}
}